ghci-8.0.2: The library supporting GHC's interactive interpreter

Safe Haskell | Safe
Language | Haskell2010

GHCi.Signals

Synopsis

- installSignalHandlers :: IO ()

# Documentation

installSignalHandlers :: IO () Source #

Install standard signal handlers for catching ^C, which just throw an exception in the target thread. The current target thread is the thread at the head of the list in the MVar passed to installSignalHandlers.